Bullseye - source.list

3 envíos / 0 nuevos
Último envío
#1 Mar, 30/07/2019 - 12:15
rayo
Imagen de rayo
Desconectado/a
colaborador
se unió: 21/02/16

Bullseye - source.list

Estado: 
[SOLUCIONADO]

Instalé la versión Bullseye de Debian desde el netinstall y me apareció un aviso de un problema reconociendo una dirección del source.list que quedó comentada # porque no funcionaba.

https://www.debian.org/devel/debian-installer/

 

Mirando el source.list veo que hay un error en la dirección. La que viene por defecto es así:

 

deb http://security.debian.org/debian-security bullseye/updates main

 

Echando un vistazo en la web veo que hay un error:

http://security-cdn.debian.org/debian-security/dists/

 

No es "bullseye", es "bullseye-security", así que la dirección del source.list debería ser así:

 

Quote:

Correcta:

deb http://security.debian.org/debian-security bullseye-security/updates main

 

Errónea:

deb http://security.debian.org/debian-security bullseye/updates main

 

 

Imagino que se trata de un error del instalador, pero la pregunta sería:

¿Es necesario tener activada esa línea? Que yo sepa el "security" es solamente para las versiones estables, no para Bullseye que es ahora la versión testing, ¿no?

 

La única línea que estoy usando es esta:

deb http://ftp.es.debian.org/debian bullseye main contrib non-free

El deb-src lo borré porque no lo uso.

 

Mar, 30/07/2019 - 14:30
DebLuis
Imagen de DebLuis
Desconectado/a
se unió: 13/07/19

Si es un error del instalador, como parece ser, habría que reportarlo. Y con respecto a esta línea:

deb http://security.debian.org/debian-security bullseye-security/updates main

Debería ser:

deb http://security.debian.org/debian-security bullseye-security main

Y según tengo entendido tiene que estar, ver este link. Ahí dice que hay soporte de seguridad para testing, pero no es de la misma calidad que para estable, y enumera las razones. Pero en algún momento tuve la misma confusión, porque en este otro link, dice "Tenga en cuenta que el equipo de seguridad no se encarga de las actualizaciones de seguridad en testing. Como consecuencia, la distribución «en pruebas» no recibe actualizaciones de seguridad con rapidez.". Sin embargo, si parece que hay un equipo de seguridad específico para testing.

Mar, 30/07/2019 - 17:14
rayo
Imagen de rayo
Desconectado/a
colaborador
se unió: 21/02/16

Quote:

Debería ser:

deb http://security.debian.org/debian-security bullseye-security main

 

Sí, parece que funciona bien de ambas formas. Si visito la dirección con el navegador y hago clic sobre el directorio "updates" es como si hubiese un enlace al mismo sitio. Es más, si hago varias veces clic en ese directorio se forma una dirección infinita. Por ejemplo:

http://security-cdn.debian.org/debian-security/dists/bullseye-security/updates/updates/updates/updates/updates/updates/updates/

 

Cuando el instalador me avisó de que había un error pensé que se trataba de que se había caído el servidor, pero luego vi que fallaba el "aptitude update" : "El repositorio «http://security.debian.org/debian-security bullseye/updates Release» no tiene un fichero de Publicación".

 

No sabía que Bullseye tiene security support.

 

Muchas gracias.

 

Edit:

Estuve buscando el CD donde había quemado la ISO del netinstall y esto es lo que encontré en el Readme:

 

Quote:

This disc is labeled

    Debian GNU/Linux testing "Bullseye" - Official Snapshot amd64 NETINST
                               20190726-04:05

   It contains programs ("binaries") for `amd64' computers.

   This disc is a netinst image. It contains the installer and a very
   basic system. Any other packages you might want to install will be
   downloaded from the network.

 

 

Esa es la versión que me dio el error. Ahora no sé si la escritura del source.list la hacen desde el mismo CD o si se hace de forma remota desde Internet.

También era errónea la dirección de los paquetes src

Quote:

# Line commented out by installer because it failed to verify:
# deb-src http://security.debian.org/debian-security bullseye/updates main